Bug 112325 - PCMCIA init doesn't wait for ethernet cards to init
Summary: PCMCIA init doesn't wait for ethernet cards to init
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-17 20:19 UTC by Jack Neely
Modified: 2015-01-04 22:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 04:33:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Neely 2003-12-17 20:19:24 UTC
Description of problem:
Using a machine with a PCMCIA network card the network is init'd by
the PCMCIA scripts.  However, unlike the normal network init the
PCMCIA scripts do not wait for the card to get a DHCP and/or properly
come up.  This can cause problems with other init scripts that run
shortly after PCMCIA that neet to access the network.

Version-Release number of selected component (if applicable):
kerner-pcmcia-cs-3.1.31-13

Most likely exists in Fedora Core as well.

How reproducible:
I can reproduce it with my init script that starts OpenAFS which has a
check to make sure that there are ethernet cards up and with valid IP
addresses.  These openafs RPMS can be found on
ftp.linux.ncsu.edu/pub/realmkit/9/SRPMS

Expected results:
I would expect the PCMCIA stuff to wait for ethernet cards to properly
init as does the normal network init scripts.


Note You need to log in before you can comment on or make changes to this bug.